<?php

require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/ViewTypeText.class.php';

class User_ViewTypePosts extends Xoonips_ViewTypeText {

	public function setTemplate() {
		$this->template = $this->dirname . '_viewtype_posts.html';
	}

	public function getDetailDisplayView($field, $value, $display) {
		return $value;
	}
	
	public function getDetailViewForCertify($field, $value, $groupLoopId) {
		return $value;
	}
	
	public function getDetailViewForModerator($field, $value, $groupLoopId) {
   		$this->getXoopsTpl()->assign('viewType', 'detailForModerator');
		$this->getXoopsTpl()->assign('value', $value);
		return $this->getXoopsTpl()->fetch('db:'. $this->template);
	}
}

